
import executionListenerDialog from '../components/nodePanel/property/executionListener'
export default {
  components: {
    executionListenerDialog
  },
  data() {
    return {
      executionListenerLength: 0,
      dialogName: null
    }
  },
  methods: {
    computedExecutionListenerLength() {
      const extensionElements = this.element.businessObject.extensionElements
      this.executionListenerLength = (extensionElements && extensionElements.values) ? extensionElements.values.length : 0
    },
    finishExecutionListener() {
      if (this.dialogName === 'executionListenerDialog') {
        this.computedExecutionListenerLength()
      }
      this.dialogName = ''
    }
  }
}
